Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.event
Class PortalEventListenerRegistryImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.event.PortalEventListenerRegistryImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PortalEventListenerRegistry, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class PortalEventListenerRegistryImpl

extends AbstractJBossService
implements PortalEventListenerRegistry

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected org.jboss.portal.common.util.CopyOnWriteRegistry` | `listeners` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PortalEventListenerRegistryImpl()`

Method Summary
`java.lang.Object` | `getListener(java.lang.String id)`
`java.util.Set` | `getListenerIds()` Returns the set of String identifiers for all currently registered listeners.
`java.util.Collection` | `getListeners()`
`void` | `registerListener(java.lang.String id, java.lang.Object listener)`
`void` | `unregisterListener(java.lang.String id)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeners

    protected final org.jboss.portal.common.util.CopyOnWriteRegistry listeners

  .

Constructor Detail

### PortalEventListenerRegistryImpl

    public PortalEventListenerRegistryImpl()

Method Detail

### registerListener

    public void registerListener(java.lang.String id,
                                 java.lang.Object listener)

  Specified by:
    `registerListener` in interface `PortalEventListenerRegistry`

### unregisterListener

    public void unregisterListener(java.lang.String id)

  Specified by:
    `unregisterListener` in interface `PortalEventListenerRegistry`

### getListener

    public java.lang.Object getListener(java.lang.String id)

  Specified by:
    `getListener` in interface `PortalEventListenerRegistry`

### getListeners

    public java.util.Collection getListeners()

  Specified by:
    `getListeners` in interface `PortalEventListenerRegistry`

### getListenerIds

    public java.util.Set getListenerIds()

  Description copied from interface: `PortalEventListenerRegistry`
  Returns the set of String identifiers for all currently registered listeners.

  Specified by:
    `getListenerIds` in interface `PortalEventListenerRegistry`
  Returns:
    the set of String identifiers for all currently registered listeners.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD